/*
    Copyright (C) 2006  Nicolas Le Guen <goldenear@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// QT includes.
#include <qlayout.h>
#include <qlabel.h>

// KDE includes.
#include <klistview.h>
#include <kiconloader.h>

// Local includes.
#include "startview.h"


StartView::StartView(QWidget* parent)
    : KListView(parent, "HomeView")
{
    this->addColumn( "Start" );
    this->setFullWidth ( true );
    this->setRootIsDecorated( true );
    this->setPaletteBackgroundColor( "#DDDDEE" );
    this->setSorting( -1 );

    itemPlayDisc = new QListViewItem( this, "Play Disk");
    itemPlayDisc->setPixmap( 0, BarIcon("cd") ); // KDE 4 icon name: media-optical
    itemPlayDisc->setOpen( true );
    itemCDAudio = new QListViewItem( itemPlayDisc, "CD Audio (/dev/cdrom)");
    itemCDAudio->setPixmap( 0, BarIcon("cdaudio_mount") );  // KDE 4 icon name: media-optical-audio
    itemWatchTV = new QListViewItem( this, itemPlayDisc, "Watch TV");
    itemWatchTV->setPixmap( 0, BarIcon("tv") ); // KDE 4 icon name: video-television
    itemOpenFile = new QListViewItem( this, itemWatchTV, "Open File...");
    itemOpenFile->setPixmap( 0, BarIcon("fileopen") ); // KDE 4 icon name: document-open
    itemHistory = new QListViewItem( this, itemOpenFile, "History");
    itemHistory->setPixmap( 0, BarIcon("history") ); // KDE 4 icon name: view-history
    itemHistory->setExpandable( true );
    itemBookmarks = new QListViewItem( this, itemHistory, "Bookmarks");
    itemBookmarks->setPixmap( 0, BarIcon("bookmark_folder") );
    itemBookmarks->setExpandable( true );
    
}

StartView::~StartView()
{
    
}

